Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.proj4j/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.projection.app/org.gvsig.projection.app.cresques/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.snapping.app/org.gvsig.snapping.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.i18n.app/org.gvsig.i18n.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geodb.app/org.gvsig.geodb.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.importsymbols/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.symbology.app/org.gvsig.symbology.app.symbolinstaller/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.exportto.app/org.gvsig.exportto.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.bsq.app/org.gvsig.bsq.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.bsq.app/org.gvsig.bsq.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.bsq.app/org.gvsig.bsq.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:09 CEST 2023
-buildNumber=3159
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=3160
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.centerviewpoint.app/org.gvsig.centerviewpoint.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:05 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:21 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.tiff.app/org.gvsig.tiff.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.tiff.app/org.gvsig.tiff.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.tiff.app/org.gvsig.tiff.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:09 CEST 2023
-buildNumber=3159
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=3160
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.animation/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.timesupport.app/org.gvsig.timesupport.app.viewfilter/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.csv.app/org.gvsig.csv.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.datalocator.app/org.gvsig.datalocator.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.installer.app/org.gvsig.installer.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.mdb.app/org.gvsig.mdb.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.mdb.app/org.gvsig.mdb.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.mdb.app/org.gvsig.mdb.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2976
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2977
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.selectiontools.app/org.gvsig.selectiontools.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.app/org.gvsig.h2spatial.h2gis132.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.app/org.gvsig.h2spatial.h2gis132.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.h2spatial/org.gvsig.h2spatial.h2gis132/org.gvsig.h2spatial.h2gis132.app/org.gvsig.h2spatial.h2gis132.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2976
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2977
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.annotation.app/org.gvsig.annotation.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.labeling.app/org.gvsig.labeling.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:22 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jpg.app/org.gvsig.jpg.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jpg.app/org.gvsig.jpg.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jpg.app/org.gvsig.jpg.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=3159
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=3160
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:05 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:21 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.png.app/org.gvsig.png.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.png.app/org.gvsig.png.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.png.app/org.gvsig.png.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=3159
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=3160
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.shp.app/org.gvsig.shp.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2978
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2979
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometry.app/org.gvsig.geometry.app.jts/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jp2.app/org.gvsig.jp2.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jp2.app/org.gvsig.jp2.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.jp2.app/org.gvsig.jp2.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:09 CEST 2023
-buildNumber=3159
+#Sun Jul 16 22:12:24 CEST 2023
+buildNumber=3160
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.eventtheme/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.daltransform.app/org.gvsig.daltransform.app.join/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:07 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.tools.app/org.gvsig.raster.tools.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=160
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=161
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.raster.app/org.gvsig.raster.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:08 CEST 2023
-buildNumber=160
+#Sun Jul 16 22:12:23 CEST 2023
+buildNumber=161
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app/org.gvsig.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:05 CEST 2023
-buildNumber=3324
+#Sun Jul 16 22:12:21 CEST 2023
+buildNumber=3325
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.geometrymeasurement.app/org.gvsig.geometrymeasurement.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:06 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:21 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.coreplugin.app/org.gvsig.coreplugin.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:05 CEST 2023
-buildNumber=2977
+#Sun Jul 16 22:12:21 CEST 2023
+buildNumber=2978
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.xml2db/org.gvsig.xml2db.app/org.gvsig.xml2db.app.mainplugin/buildNumber.properties
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.xml2db/org.gvsig.xml2db.app/org.gvsig.xml2db.app.mainplugin/buildNumber.properties	(revision 47397)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.xml2db/org.gvsig.xml2db.app/org.gvsig.xml2db.app.mainplugin/buildNumber.properties	(revision 47398)
@@ -1,2 +1,2 @@
-#Sun Jul 09 15:53:09 CEST 2023
-buildNumber=138
+#Sun Jul 16 22:12:25 CEST 2023
+buildNumber=139