Index: ExpressionEvaluatorSwingLibraryImpl.java
===================================================================
--- ExpressionEvaluatorSwingLibraryImpl.java	(revision 47425)
+++ ExpressionEvaluatorSwingLibraryImpl.java	(revision 47426)
@@ -1,6 +1,5 @@
 package org.gvsig.expressionevaluator.swing.impl;
 
-import java.net.URL;
 import org.gvsig.expressionevaluator.ExpressionEvaluatorLibrary;
 import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingLibrary;
 import org.gvsig.expressionevaluator.swing.ExpressionEvaluatorSwingLocator;
@@ -10,8 +9,7 @@
 import org.gvsig.tools.dynform.spi.DynFormSPIManager;
 import org.gvsig.tools.library.AbstractLibrary;
 import org.gvsig.tools.library.LibraryException;
-import org.gvsig.tools.swing.api.ToolsSwingLocator;
-import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.gvsig.tools.swing.api.ToolsSwingUtils;
 
 public class ExpressionEvaluatorSwingLibraryImpl extends AbstractLibrary {
 
@@ -29,26 +27,49 @@
 
     @Override
     protected void doPostInitialize() throws LibraryException {
-        String[][] iconNames = new String[][] {
-            new String[] { "picker", "picker-expression" },
-            new String[] { "element", "expressionbuilder-element-constant" },
-            new String[] { "element", "expressionbuilder-element-function" },
-            new String[] { "element", "expressionbuilder-element-function-sql" },
-            new String[] { "element", "expressionbuilder-element-group" },
-            new String[] { "element", "expressionbuilder-element" },
-            new String[] { "action", "common-filter" },
-            new String[] { "action", "expressionbuilder-insert-text" },
-            new String[] { "action", "common-sortdown" },
-            new String[] { "action", "common-sortup" },
-            new String[] { "action", "expressionbuilder-history" },
-            new String[] { "action", "expressionbuilder-bookmarks" },
-            new String[] { "action", "expressionbuilder-time-limit" }
-        };
-        IconTheme theme = ToolsSwingLocator.getIconThemeManager().getCurrent();
-        for (String[] icon : iconNames) {
-            URL url = this.getClass().getResource(icon[1]+".png");
-            theme.registerDefault("ExpressionBuilder", icon[0], icon[1], null, url);
-        }
+//        String[][] iconNames = new String[][] {
+//            new String[] { "picker", "picker-expression" },
+//            new String[] { "expressionbuilder", "expressionbuilder-element-constant" },
+//            new String[] { "expressionbuilder", "expressionbuilder-element-function" },
+//            new String[] { "expressionbuilder", "expressionbuilder-element-function-sql" },
+//            new String[] { "expressionbuilder", "expressionbuilder-element-group" },
+//            new String[] { "expressionbuilder", "expressionbuilder-element" },
+////            new String[] { "expressionbuilder", "common-filter" },
+////            new String[] { "expressionbuilder", "expressionbuilder-insert-text" },
+////            new String[] { "expressionbuilder", "common-sortdown" },
+////            new String[] { "expressionbuilder", "common-sortup" },
+////            new String[] { "expressionbuilder", "expressionbuilder-history" },
+////            new String[] { "expressionbuilder", "expressionbuilder-bookmarks" },
+//            new String[] { "expressionbuilder", "expressionbuilder-time-limit" }
+//        };
+//        IconTheme theme = ToolsSwingLocator.getIconThemeManager().getCurrent();
+//        for (String[] icon : iconNames) {
+//            URL url = this.getClass().getResource(icon[1]+".png");
+//            theme.registerDefault("ExpressionBuilder", icon[0], icon[1], null, url);
+//        }
+        ToolsSwingUtils.registerIcons(
+                this.getClass(), 
+                "/org/gvsig/expressionevaluator/swing/impl",
+                "ExpressionBuilder",
+                new String[] { "picker", "picker-expression", "expression" },
+                new String[] { "expressionbuilder", "expressionbuilder-element-constant", "element" },
+                new String[] { "expressionbuilder", "expressionbuilder-element-function", "element" },
+                new String[] { "expressionbuilder", "expressionbuilder-element-function-sql", "element" },
+                new String[] { "expressionbuilder", "expressionbuilder-element-group", "element" },
+                new String[] { "expressionbuilder", "expressionbuilder-element", "element" },
+                new String[] { "expressionbuilder", "expressionbuilder-time-limit" }
+        );           
+        ToolsSwingUtils.registerGroupIconScreenshot(
+                this.getClass(), 
+                "expressionbuilder",
+                "/org/gvsig/expressionevaluator/swing/impl/screenshots/expressionbuilder1.png"
+        );
+        ToolsSwingUtils.registerGroupIconScreenshot(
+                this.getClass(), 
+                "expressionbuilder",
+                "/org/gvsig/expressionevaluator/swing/impl/screenshots/expressionbuilder2.png"
+        );
+        
         DynFormSPIManager dynFormManager = DynFormSPILocator.getDynFormSPIManager();
         if( dynFormManager != null ) {
             dynFormManager.registerDynFieldFactory(new JDynFormFieldExpressionFactory());