Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.api/src/main/java/org/gvsig/fmap/dal/swing/featuretype/FeatureTypePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.api/src/main/java/org/gvsig/fmap/dal/swing/featuretype/FeatureTypePanel.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.api/src/main/java/org/gvsig/fmap/dal/swing/featuretype/FeatureTypePanel.java	(revision 47433)
@@ -1,5 +1,6 @@
 package org.gvsig.fmap.dal.swing.featuretype;
 
+import org.cresques.cts.IProjection;
 import org.gvsig.fmap.dal.feature.EditableFeatureType;
 import org.gvsig.fmap.dal.feature.FeatureType;
 import org.gvsig.tools.swing.api.ChangeListenerSupport;
@@ -43,4 +44,6 @@
     public int getMode();
 
     public boolean isEditing();
+    
+    public void setDefaultProjection(IProjection projection);
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureTypePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureTypePanel.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureTypePanel.java	(revision 47433)
@@ -22,6 +22,7 @@
 import javax.swing.event.TableModelEvent;
 import javax.swing.table.AbstractTableModel;
 import org.apache.commons.lang3.StringUtils;
+import org.cresques.cts.IProjection;
 import org.gvsig.configurableactions.ConfigurableActionsMamager;
 import org.gvsig.expressionevaluator.ExpressionUtils;
 import org.gvsig.featureform.swing.impl.DefaultJFeatureForm;
@@ -67,6 +68,7 @@
     private JSplitPane splAttributes;
     private FeatureRuleController ruleController;
     private JSplitPane splTags;
+    private IProjection defaultProjection;
 
     private class FeatureTypeTableModel extends AbstractTableModel {
 
@@ -393,6 +395,7 @@
             }
         });
         this.descriptorPanel = new DefaultFeatureAttributePanel();
+        this.descriptorPanel.setDefaultProjection(this.defaultProjection);
         this.pnlField.setLayout(new BorderLayout());
         this.pnlField.add(this.descriptorPanel, BorderLayout.CENTER);
         this.descriptorPanel.setEnabled(false);
@@ -822,4 +825,14 @@
         cfgActionsManager.addConfigurableAction(CONFIGURABLE_PANEL_ID, new PreviewFormAction());
         cfgActionsManager.addConfigurableAction(CONFIGURABLE_PANEL_ID, new ForceSynchronizeAction());        
   }
+
+    @Override
+    public void setDefaultProjection(IProjection projection) {
+        this.defaultProjection = projection;
+        if( this.descriptorPanel!=null ) {
+            this.descriptorPanel.setDefaultProjection(projection);
+        }
+    }
+  
+  
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureAttributePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureAttributePanel.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.swing/org.gvsig.fmap.dal.swing.impl/src/main/java/org/gvsig/fmap/dal/swing/impl/featuretype/DefaultFeatureAttributePanel.java	(revision 47433)
@@ -134,6 +134,7 @@
     private ToManyController toManyController;
     private JSplitPane splAttrTags;
     private FeatureType featureType;
+    private IProjection defaultProjection;
 
     private static class ToOneController {
 
@@ -1505,6 +1506,18 @@
             descriptor.setDataProfileName((String) ListElement.getSelected(this.cboDataProfile));
             switch (descriptor.getType()) {
                 case DataTypes.GEOMETRY:
+                    if( ListElement.getSelected(this.cboGeometryType)==null 
+                            || ListElement.getSelected(this.cboGeometrySubtype)==null
+                            || this.pickerCRS.get() == null ){
+                            ThreadSafeDialogsManager dialogs = ToolsSwingLocator.getThreadSafeDialogsManager();
+                            dialogs.messageDialog(
+                                    i18n.getTranslation("_Geometry_not_configured"),
+                                    null,
+                                    i18n.getTranslation("_Warning"),
+                                    JOptionPane.WARNING_MESSAGE
+                            );
+                            return null;
+                    }                    
                     GeometryManager geomManager = GeometryLocator.getGeometryManager();
                     GeometryType geomType = geomManager.getGeometryType(
                             (int) ListElement.getSelected(this.cboGeometryType),
@@ -1701,6 +1714,8 @@
         this.availableValuesController.clean();
         this.tagsController.clean();
         this.toOneController.clean();
+        
+        this.pickerCRS.set(defaultProjection);
     }
 
     @Override
@@ -1713,6 +1728,8 @@
         FeatureType featureType = descriptor.getFeatureType();
         DefaultComboBoxModel groupModel = new DefaultComboBoxModel();
 
+        this.pickerCRS.set(defaultProjection);
+        
         if (featureType != null) {
             FeatureStore store = descriptor.getFeatureType().getStore();
             this.featureStoreElement.setFeatureStore(store);
@@ -1801,11 +1818,20 @@
         Expression expression = descriptor.getAvailableValuesFilter();
         this.pickerValuesFilter.set(expression);
 
-        this.pickerCRS.set(descriptor.getSRS());
-
-        if (descriptor.getGeomType() != null) {
-            ListElement.setSelected(cboGeometryType, descriptor.getGeomType().getType());
-            ListElement.setSelected(cboGeometrySubtype, descriptor.getGeomType().getSubType());
+        if( descriptor.getType() == DataTypes.GEOMETRY ) {
+            if( descriptor.getSRS()==null ) {
+                this.pickerCRS.set(defaultProjection);
+            } else {
+                this.pickerCRS.set(descriptor.getSRS());
+            }
+            if (descriptor.getGeomType() != null) {
+                ListElement.setSelected(cboGeometryType, descriptor.getGeomType().getType());
+                ListElement.setSelected(cboGeometrySubtype, descriptor.getGeomType().getSubType());
+            }
+        } else {
+            this.pickerCRS.set(defaultProjection);
+            ListElement.setSelected(cboGeometryType, null);
+            ListElement.setSelected(cboGeometrySubtype, null);
         }
         ListElement.setSelected(cboFieldType, dataType.getType());
         if( ListElement.getSelected(cboFieldType)==null ) {
@@ -1939,6 +1965,7 @@
             this.pickerIntervalEnd.setEditable(false);
             this.tabAditionalFields.setEnabledAt(1, true);
             this.tabAditionalFields.setEnabledAt(2, false);
+            
             break;
           case DataTypes.INSTANT:
           case DataTypes.INTERVAL:
@@ -2270,4 +2297,7 @@
     );      
   }
 
+  public void setDefaultProjection(IProjection projection) {
+      this.defaultProjection = projection;
+  }
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.app.document.table.app/org.gvsig.app.document.table.app.mainplugin/src/main/java/org/gvsig/app/extension/TableEditAttributes.java	(revision 47433)
@@ -49,9 +49,11 @@
 import org.gvsig.app.ApplicationManager;
 import org.gvsig.app.project.Project;
 import org.gvsig.app.project.ProjectManager;
+import org.gvsig.app.project.documents.Document;
 import org.gvsig.app.project.documents.table.TableDocument;
 import org.gvsig.app.project.documents.table.TableManager;
 import org.gvsig.app.project.documents.table.gui.FeatureTableDocumentPanel;
+import org.gvsig.app.project.documents.view.ViewDocument;
 import org.gvsig.configurableactions.ConfigurableActionsMamager;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.DataManager;
@@ -128,6 +130,10 @@
                 final FeatureType featureType = featureStore.getDefaultFeatureType();
                 final EditableFeatureType editableFeatureType = featureType.getEditable();
                 final FeatureTypePanel panel = dataSwingManager.createFeatureTypePanel();
+                ViewDocument viewdoc = (ViewDocument) application.getCurrentProject().getFirstDocument(ViewDocument.class);
+                if( viewdoc != null ) {
+                    panel.setDefaultProjection(viewdoc.getProjection());
+                }
                 final ConfigurableActionsMamager cfgActionsManager = ToolsUtilLocator.getConfigurableActionsMamager();
 
                 ConfigurableActionsMamager.ActionsController actionController = 
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/src/main/java/org/gvsig/newlayer/app/extension/NewLayerExtension.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/src/main/java/org/gvsig/newlayer/app/extension/NewLayerExtension.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.plugin/org.gvsig.newlayer.app/org.gvsig.newlayer.app.mainplugin/src/main/java/org/gvsig/newlayer/app/extension/NewLayerExtension.java	(revision 47433)
@@ -71,6 +71,7 @@
         if (view != null) {
             NewLayerManager manager = NewLayerLocator.getManager();
             NewLayerService service = manager.createNewLayerService();
+            service.setDefaultProjection(view.getProjection());
             service.addNewLayerServiceListener(new NewLayerServiceAdapter() {
                 @Override
                 public void postCreateTable(NewLayerService service) {
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.api/src/main/java/org/gvsig/newlayer/NewLayerService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.api/src/main/java/org/gvsig/newlayer/NewLayerService.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.api/src/main/java/org/gvsig/newlayer/NewLayerService.java	(revision 47433)
@@ -24,6 +24,7 @@
 package org.gvsig.newlayer;
 
 import java.util.List;
+import org.cresques.cts.IProjection;
 
 import org.gvsig.fmap.dal.DataServerExplorer;
 import org.gvsig.fmap.dal.DataStoreParameters;
@@ -106,4 +107,8 @@
 //    public MapContext getMapContext();
 
     public void addNewLayerServiceListener(NewLayerServiceListener listener);
+    
+    public IProjection getDefaultProjection();
+    
+    public void setDefaultProjection(IProjection projection);
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/panels/FeatureTypePanel.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/panels/FeatureTypePanel.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/panels/FeatureTypePanel.java	(revision 47433)
@@ -60,6 +60,7 @@
         DataSwingManager dataSwingManager = DALSwingLocator.getSwingManager();
         EditableFeatureType ft = dataManager.createFeatureType();
         this.featureTypeEditor = dataSwingManager.createFeatureTypePanel();
+        this.featureTypeEditor.setDefaultProjection(this.wizard.getService().getDefaultProjection());
         this.featureTypeEditor.setMode(MODE_EDIT_ALL);
         this.featureTypeEditor.put(ft);
     }
@@ -72,6 +73,7 @@
 
     @Override
     public void enterPanel() {
+        this.featureTypeEditor.setDefaultProjection(this.wizard.getService().getDefaultProjection());
         EditableFeatureType ft = this.provider.getFeatureType();
         if (ft!= null) {
             this.featureTypeEditor.put(ft);
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerService.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerService.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerService.java	(revision 47433)
@@ -28,6 +28,7 @@
 import java.util.LinkedHashSet;
 import java.util.List;
 import java.util.Set;
+import org.cresques.cts.IProjection;
 
 import org.gvsig.fmap.dal.DataServerExplorer;
 import org.gvsig.fmap.dal.DataStoreParameters;
@@ -53,6 +54,7 @@
     private NewLayerProviderFactory type;
     private NewLayerProvider provider;
     private boolean addTableToProject = true;
+    private IProjection defaultProjection;
 
     /**
      * {@link DefaultNewLayerService} constructor
@@ -282,4 +284,16 @@
             }
         }
     }
+
+    @Override
+    public void setDefaultProjection(IProjection projection) {
+        this.defaultProjection = projection;
+    }
+
+    @Override
+    public IProjection getDefaultProjection() {
+        return this.defaultProjection;
+    }
+    
+    
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerWizard.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerWizard.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.lib/org.gvsig.newlayer.lib.impl/src/main/java/org/gvsig/newlayer/impl/DefaultNewLayerWizard.java	(revision 47433)
@@ -80,7 +80,16 @@
         this.setFinishButtonEnabled(false);
         this.setBackButtonEnabled(false);
         this.setNextButtonEnabled(false);
-        ToolsSwingUtils.ensureRowsCols(this, 25, 100, 35, 140);
+//        ToolsSwingUtils.ensureRowsCols(this, 25, 100, 35, 140);
+        
+        Dimension screensize = ToolsSwingUtils.getDesktopPanelSize();
+        ToolsSwingUtils.ensureHeightWitdh(
+                this, 
+                Math.max(3*(screensize.height/4), ToolsSwingUtils.rows2px(35)),
+                Math.max(2*(screensize.width/4), ToolsSwingUtils.cols2px(140)), 
+                7*(screensize.height/8), 
+                3*(screensize.width/4)
+        );           
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/AbstractNewLayerFileProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/AbstractNewLayerFileProvider.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/AbstractNewLayerFileProvider.java	(revision 47433)
@@ -55,7 +55,7 @@
 
     protected AbstractNewLayerFileProvider(NewLayerService service) {
         super(service);
-        this.parameters = new NewLayerFileProviderParameters();
+        this.parameters = new NewLayerFileProviderParameters(service);
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/NewLayerFileProviderParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/NewLayerFileProviderParameters.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.file/src/main/java/org/gvsig/newlayer/prov/file/NewLayerFileProviderParameters.java	(revision 47433)
@@ -25,6 +25,7 @@
 import java.io.File;
 import org.gvsig.fmap.dal.DALLocator;
 import org.gvsig.fmap.dal.feature.EditableFeatureType;
+import org.gvsig.newlayer.NewLayerService;
 
 /**
  *
@@ -35,7 +36,7 @@
     private File file;
     protected EditableFeatureType featureType;
 
-    public NewLayerFileProviderParameters() {
+    public NewLayerFileProviderParameters(NewLayerService service) {
         this.featureType = DALLocator.getDataManager().createFeatureType();
     }
     
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProvider.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProvider.java	(revision 47433)
@@ -44,7 +44,7 @@
     
     protected NewLayerShapeProvider(NewLayerService service) {
         super(service);
-        this.parameters = new NewLayerShapeProviderParameters();
+        this.parameters = new NewLayerShapeProviderParameters(service);
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProviderParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProviderParameters.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.shape/src/main/java/org/gvsig/newlayer/prov/shape/NewLayerShapeProviderParameters.java	(revision 47433)
@@ -25,6 +25,7 @@
 import org.gvsig.fmap.dal.DataTypes;
 import org.gvsig.fmap.dal.feature.EditableFeatureAttributeDescriptor;
 import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.newlayer.NewLayerService;
 import org.gvsig.newlayer.prov.file.NewLayerFileProviderParameters;
 
 /**
@@ -33,10 +34,14 @@
  */
 public class NewLayerShapeProviderParameters extends NewLayerFileProviderParameters {
 
-    public NewLayerShapeProviderParameters() {
-        super();
+    public NewLayerShapeProviderParameters(NewLayerService service) {
+        super(service);
         EditableFeatureAttributeDescriptor attr = this.featureType.add("GEOMETRY", DataTypes.GEOMETRY);
-        attr.setSRS("EPSG:4326");
+        if( service.getDefaultProjection()==null ) {
+            attr.setSRS("EPSG:4326");
+        } else {
+            attr.setSRS(service.getDefaultProjection());
+        }
         attr.setGeometryType(Geometry.TYPES.LINE, Geometry.SUBTYPES.GEOM2D);
     }
     
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProvider.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProvider.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProvider.java	(revision 47433)
@@ -37,7 +37,7 @@
     
     protected NewLayerCSVProvider(NewLayerService service) {
         super(service);
-        this.parameters = new NewLayerCSVProviderParameters();
+        this.parameters = new NewLayerCSVProviderParameters(service);
     }
 
     @Override
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProviderParameters.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProviderParameters.java	(revision 47432)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.library/org.gvsig.newlayer/org.gvsig.newlayer.prov/org.gvsig.newlayer.prov.csv/src/main/java/org/gvsig/newlayer/prov/csv/NewLayerCSVProviderParameters.java	(revision 47433)
@@ -25,6 +25,7 @@
 import org.gvsig.fmap.dal.DataTypes;
 import org.gvsig.fmap.dal.feature.EditableFeatureAttributeDescriptor;
 import org.gvsig.fmap.geom.Geometry;
+import org.gvsig.newlayer.NewLayerService;
 import org.gvsig.newlayer.prov.file.NewLayerFileProviderParameters;
 
 /**
@@ -33,10 +34,14 @@
  */
 public class NewLayerCSVProviderParameters extends NewLayerFileProviderParameters {
 
-    public NewLayerCSVProviderParameters() {
-        super();
+    public NewLayerCSVProviderParameters(NewLayerService service) {
+        super(service);
         EditableFeatureAttributeDescriptor attr = this.featureType.add("GEOMETRY", DataTypes.GEOMETRY);
-        attr.setSRS("EPSG:4326");
+        if( service.getDefaultProjection()==null ) {
+            attr.setSRS("EPSG:4326");
+        } else {
+            attr.setSRS(service.getDefaultProjection());
+        }
         attr.setGeometryType(Geometry.TYPES.POINT, Geometry.SUBTYPES.GEOM2D);
     }
     